Package org.apache.sysds.runtime.data

# Class IndexedTensorBlock

java.lang.Object
org.apache.sysds.runtime.data.IndexedTensorBlock

All Implemented Interfaces:
  `Serializable`

public class IndexedTensorBlock extends Object implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IndexedTensorBlock()`
`IndexedTensorBlock(IndexedTensorBlock that)`
`IndexedTensorBlock(TensorIndexes ind, TensorBlock b)`

## Method Summary

Modifier and Type
Method
Description
`TensorIndexes`
`getIndexes()`
`TensorBlock`
`getValue()`
`void`
`set(TensorIndexes indexes2, TensorBlock block2)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IndexedTensorBlock

public IndexedTensorBlock()

### IndexedTensorBlock

public IndexedTensorBlock(TensorIndexes ind, TensorBlock b)

### IndexedTensorBlock

public IndexedTensorBlock(IndexedTensorBlock that)

## Method Details

### getIndexes

public TensorIndexes getIndexes()

### getValue

public TensorBlock getValue()

### set

public void set(TensorIndexes indexes2, TensorBlock block2)

### toString

public String toString()

Overrides:
  `toString` in class `Object`